#include <wx/frame.h>
class World;
class UpdateThread;
class NawiGLCanvas;
class NawiApp;
class DownloadManager;
class wxString;

class NawiFrame : public wxFrame
{
public:
	static wxString directoryPath;
	static wxString configPath;
	static wxString cachePath;
	static DownloadManager *downloadManager;

	NawiApp *parentApplication;
	NawiGLCanvas *glCanvas;
	UpdateThread *updateThread;
	bool updateThreadTerminated;
	World *world;

	NawiFrame(NawiApp *parentApplication);
	~NawiFrame();

	void render();

	void onClose(wxCloseEvent &event);

	DECLARE_EVENT_TABLE();
};

enum
{
	ID_ROOT_FRAME = wxID_HIGHEST + 1,
	ID_DOWNLOAD_THREAD
};
