#include "viewport.h"
#include <wx/gdicmn.h> // wxSize

Viewport::Viewport(int x, int y, int width, int height)
	: x(x), y(y), width(width), height(height)
{}

Viewport::Viewport(const wxSize &size, int x, int y)
	: x(x), y(y), width(size.x), height(size.y)
{}

double Viewport::getAspectRatio()
{
	return width / (double)height;
}

double Viewport::getDiagonal()
{
	return sqrt(width * width + height * height);
}
