#include <wx/glcanvas.h>
#include <wx/gdicmn.h>
class NawiFrame;
class Camera;

class NawiGLCanvas : public wxGLCanvas
{
public:
	NawiFrame *parentWindow;
	wxGLContext *glContext;
	Camera *camera;
	bool wireFrame;

	NawiGLCanvas(NawiFrame *parentWindow);
	~NawiGLCanvas();
	void onSize(wxSizeEvent &event);
	void onPaint(wxPaintEvent &event);
	void onIdle(wxIdleEvent &event);
	void onEraseBackground( wxEraseEvent& event );
	void onKeyUp(wxKeyEvent &event);
	void onKeyDown(wxKeyEvent &event);

protected:
	DECLARE_EVENT_TABLE();
};
